> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List tags for a workspace



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json get /v1/workspaces/{id}/tags
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Tags
  - name: Prompts
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/workspaces/{id}/tags:
    get:
      tags:
        - Tags
      summary: List tags for a workspace
      parameters:
        - schema:
            type: string
            minLength: 1
            example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            description: Workspace identifier.
          required: true
          description: Workspace identifier.
          name: id
          in: path
        - schema:
            type: string
            minLength: 1
            description: >-
              Optional. Pagination cursor — pass back the `nextCursor` value
              from a previous response. Omit to fetch the first page.
          required: false
          description: >-
            Optional. Pagination cursor — pass back the `nextCursor` value from
            a previous response. Omit to fetch the first page.
          name: cursor
          in: query
      responses:
        '200':
          description: A list of tags for the workspace.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiWorkspaceTagsList'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '404':
          description: Workspace not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiWorkspaceTagsList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiWorkspaceTag'
        paging:
          $ref: '#/components/schemas/PublicApiCursorPageInfo'
      required:
        - items
        - paging
      example:
        items:
          - id: 01HX8AB3CDE4FG5HJ6KL7MN8PQ
            workspaceId: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            name: Running Shoes
            color: orange
            promptCount: 23
            createdDate: '2024-10-01T09:00:00.000Z'
            updatedDate: '2025-04-10T11:45:00.000Z'
        paging:
          nextCursor: null
          hasMore: false
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
    PublicApiWorkspaceTag:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        workspaceId:
          type: string
        name:
          type: string
        color:
          type: string
          description: >-
            Tag color (Ant Design preset color name, e.g. 'gold', 'orange',
            'magenta', 'green', 'blue').
        promptCount:
          type: integer
          minimum: 0
          description: Number of prompts currently associated with this tag.
        createdDate:
          type: string
        updatedDate:
          type: string
      required:
        - id
        - workspaceId
        - name
        - color
        - promptCount
        - createdDate
        - updatedDate
      example:
        id: 01HX8AB3CDE4FG5HJ6KL7MN8PQ
        workspaceId: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        name: Running Shoes
        color: orange
        promptCount: 23
        createdDate: '2024-10-01T09:00:00.000Z'
        updatedDate: '2025-04-10T11:45:00.000Z'
    PublicApiCursorPageInfo:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - nextCursor
        - hasMore
      example:
        nextCursor: null
        hasMore: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````